Subject: Re: [PATCH 1/1 RFC] net/phy: Add Lantiq PHY driver

From: Alexander Stein <[email-masked]>
Date: Thu, 19 May 2016 12:21:38 +0200

On Thursday 19 May 2016 12:03:10, Mathias Kresin wrote:
> 2016-05-19 9:03 GMT+02:00 John Crispin <[email-masked]>:
> > On 19/05/2016 08:57, Alexander Stein wrote:
> >> Thanks for the link, I wasn't aware of that patch. I like it in general,
> >> but there are some things I'd like to get addressed first:
> >> * vr9_gphy_of_reg_init() writes uncoditionally to led3h and led3l even on
> >> 
> >>   PEf7071 which does not have this register at all
> > 
> > we use this driver mainly on the 11g and 22f version. mathias recently
> > added the led3 handling.
> > 
> > @Mathias, can you have a look at this and fix it inside the lede tree ?
> 
> Well, I haven't added the led3 handling, I've only changed the initial
> value (function) of led3.
> 
> Maybe it's cleaner to not use a default value for the led function and
> completely rely on the device tree bindings. But by adjusting the
> initial values, I had to change only the led function of one board in
> the openwrt xrx200 subtarget instead of touching all dts files.

I think setting default values is good.

> I know that the LTQ Datasheet for the PEF 7071 Version 1.5 mentions
> the led3 control register albeit there is no pin for a forth led. So I
> guess it's safe to write to the led3 register even for the PEF 7071.

Mh, my PEF 7071 User Manual (Version 2.0, 2012-10-17) doesn't mention LED3x 
registers. There is LED3DA and LED3EN in PHY_LED but was removed in 1.6 
manual.
I think, some flag if the PHY supports LED3 and depend on that is just fine.

Best regards,
Alexander